%global sname tripleo-ui

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%{?dlrn: %global tarsources %{sname}-%{upstream_version}}
%{!?dlrn: %global tarsources package}

Name:           openstack-%{sname}
Version:        3.2.1
Release:        1%{?dist}
Summary:        TripleO UI --- GUI for the TripleO project
License:        ASL 2.0
URL:            http://tripleo.org
# Source0 is created by running "npm pack"
Source0:        http://tarballs.openstack.org/tripleo-ui/tripleo-ui-%{upstream_version}.tar.gz
Source1:        tripleo-ui.conf

# patches_ignore=DROP-IN-RPM
# patches_base=3.2.1
Patch0001: 0001-Downstream-Brand-for-TripleO-UI-OSP11-Ocata.patch
Patch0002: 0002-Adds-favicon-and-fixes-title-tab.patch

BuildRequires:  nodejs
BuildRequires:  git
BuildRequires:  %{name}-deps >= 3
BuildArch:      noarch

%description

%prep
%autosetup -n %{tarsources} -S git

%build
rm -rf node_modules
ln -s /opt/%{name}-deps/node_modules .
npm run build

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/var/www/%{name}
mkdir -p %{buildroot}/etc/httpd/conf.d/
cp -rf dist %{buildroot}/var/www/%{name}/
cp -rf %{SOURCE1} %{buildroot}/etc/httpd/conf.d/%{name}.conf

%files
%{_localstatedir}/www/%{name}
%config(noreplace)  %{_sysconfdir}/httpd/conf.d/%{name}.conf
%license LICENSE
%doc README.md

%changelog
* Wed Sep 20 2017 Steve Linabery <slinaber@redhat.com> 3.2.1-1
- Update to 3.2.1

* Mon Aug 14 2017 Steve Linabery <slinaber@redhat.com> 3.2.0-2
- Imported Translations from Zanata
- Imported Translations from Zanata

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 3.2.0-1
- Update to 3.2.0

* Mon Apr 17 2017 Steve Linabery <slinaber@redhat.com> 3.1.0-9
- Add save and close button to paramater dialog

* Thu Apr 06 2017 Jon Schlueter <jschluet@redhat.com> 3.1.0-8
- Fix error on provide notification handling (rhbz#1432188)
- Add not set value to ports filtering in selector (rhbz#1432188)
- Remove polling for Nodes when deleting (rhbz#1432188)

* Wed Apr 05 2017 Jon Schlueter <jschluet@redhat.com> 3.1.0-7
- Add "Save and Close" button to configuration modal dialog (rhbz#1419882)
- Adds favicon and fixes title/tab (rhbz#1438280)

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 3.1.0-6
- Imported Translations from Zanata

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 3.1.0-5
- Imported Translations from Zanata
- Remove '\n' linebreak from localised string

* Mon Mar 20 2017 Steve Linabery <slinaber@redhat.com> 3.1.0-4
- Imported Translations from Zanata
- Imported Translations from Zanata

* Wed Mar 15 2017 Mike Burns <mburns@redhat.com> 3.1.0-3
- Fix nodes actions toolbar

* Mon Mar 13 2017 Steve Linabery <slinaber@redhat.com> 3.1.0-2
- Downstream Brand for TripleO-UI OSP11/Ocata

* Mon Mar 06 2017 Alfredo Moralejo <amoralej@redhat.com> 3.1.0-1
- Update to 3.1.0

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 3.0.0-1
- Update to 3.0.0

